////////////////////////////// 하이브리드 함수 시작 ///////////////
let deviceUuid1 = '';
let phoneType1 = '';
let modelName1 = '';
let osVersion1 = '';
let pushKey1 = '';
let appVersion1 = '';
let deviceYn = 'N';

//모바일 단말 체크
let isMobile = {
    Android: function () {
        return navigator.userAgent.match(/Android/i) == null ? false : true;
    },
    IOS: function () {
        return navigator.userAgent.match(/iPhone|iPad|iPod/i) == null ? false : true;
    }
};

//함수1: 로그인 정보 네이티브 앱에 저장
//웹에서 => 모바일 함수 호출 시 자동으로 함수2 호출됨
function setLoginInfo(loginId, password, loginType) {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.setLoginInfo(loginId, password, loginType);
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "setLoginInfo",
                "loginId": loginId,
                "password": password,
                "loginType": loginType
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

//함수2: 로그인 정보 가져오기
//웹에서 => 모바일 함수 호출 시 함수3 자동 호출됨
function getLoginInfo() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.getLoginInfo();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "getLoginInfo"
            };

            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

//함수3: 로그인 정보 설정
//모바일에서 => 웹 함수 호출 시 함수4 호출됨
function fn_initLoginInfo(loginId, password, loginType) {
    //로그인 로직 추가
    if("MU"==loginType){
        fn_login(loginId, password);
    }else{
        fn_snsLogin(loginId, loginType);
    }
}


//함수4: 디바이스 정보 가져오기
//웹에서 => 모바일 함수 호출 시 함수5 자동 호출
function getDeviceInfo() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.getDeviceInfo();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "getDeviceInfo"
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

//함수5: 디바이스 정보 설정
function fn_initDeviceInfo(deviceUuid, phoneType, modelName, osVersion, pushKey, appVersion) {
    //로그인 성공 시 서버에 저장 로직 추가

    //앱버전 체크후 업데이트 페이지 이동
    //안드로이드 마켓 이동경로
    //아이폰 앱 스토어 이동경로
    deviceUuid1 = deviceUuid;
    phoneType1 = phoneType;
    modelName1 = modelName;
    osVersion1 = osVersion;
    pushKey1 = pushKey;
    appVersion1 = appVersion;

    deviceYn = 'Y';
}


//함수6: 새로고침 함수 시작
//웹에서 => 모바일 함수 호출 시 자동으로 함수2 호출됨
function setRefreshOn() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.setRefreshOn();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "setRefreshOn"
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

//함수7: 새로고침 함수 종료
//웹에서 => 모바일 함수 호출 시 자동으로 함수2 호출됨
function setRefreshOff() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.setRefreshOff();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "setRefreshOff"
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

function openPopup() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.openPopup();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "openPopup"
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

function closePopup() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.closePopup();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "closePopup"
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

function logout() {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.logOut();
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "logOut"
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

/* 전화걸기 */
function call(phoneNumber) {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.call(phoneNumber);
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "call",
                "phoneNumber":phoneNumber
            };
            window.webkit.messageHandlers.madeu.postMessage({name:'call',phoneNumber:phoneNumber});
        }
    }
}

function openWebLinkUrl(newUrl) {
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.openWebLinkUrl(newUrl);
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "openWebLinkUrl",
                "newUrl": newUrl
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}

//모바일에서 => 웹 함수 호출
function fn_callStateRinging() {
    let videoContent = $(".swiper-slide.swiper-slide-active .image_wrap .image_box video")[0];
    let activeIdData = $(".swiper-slide.swiper-slide-active")[0].id;

    let activeIdNumber = activeIdData.replace('slideIndex_', '');

    if(null!=videoContent){
        let videoTime = videoContent.duration;
        let playAndMute = $(".swiper-slide.swiper-slide-active .image_wrap .playAndMute img")[0];

        videoContent.pause();

        $(playAndMute).attr('src','/image/web/video/play.svg').attr('style','opacity: 1');

        //비디오 프로그래스바 정지
        fn_progressBarStop(videoTime,activeIdNumber);
    }else{
        let imageContent = $(".swiper-slide.swiper-slide-active .image_wrap .image_box img")[0];

        branchClickEvent(activeIdNumber);
    }
}


//사진 및 비디오 선택 이벤트 app
function fn_selectFile(typeParam,fileTypeParam,imageMaxCountParam,videoMaxCountParam){
    if(null!=navigator.userAgent.match(/madeu-mobile/)){
        if(isMobile.Android()){//안드로이드
            window.madeu.selectFile(typeParam, fileTypeParam,imageMaxCountParam,videoMaxCountParam);
        }
        else if(isMobile.IOS()){//아이폰
            let postData = {
                "name": "selectFile",
                "type": typeParam,
                "fileType": fileTypeParam,
                "imageMaxCount": imageMaxCountParam,
                "videoMaxCount": videoMaxCountParam
            };
            window.webkit.messageHandlers.madeu.postMessage(postData);
        }
    }
}
////////////////////////////// 하이브리드 함수 종료 ///////////////